<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:dlf-schema PUBLIC
  "-//LogReport.ORG//DTD Lire DLF Schema Markup Language V1.0//EN"
  "http://www.logreport.org/LDSML/1.0/ldsml.dtd">
<lire:dlf-schema superservice="dnszone" timestamp="time"
 xmlns:lire="http://www.logreport.org/LDSML/">

 <!-- $Id: dnszone.xml,v 1.1 2002/08/03 12:58:11 vanbaal Exp $ -->

 <lire:title>DLF Schema for DNS Zone service</lire:title>
 <lire:description>
  <para>This DLF file is adequate to represent most common information about
  dnszone operations: approved/denied AXFR requests, completed zone transfers,
  loaded master and slave zones and denied dynamic DNS updates.  See also the
  bind8_named2dlf manpage for some more info on the dnszone DLF format.</para>
 </lire:description>

 <lire:field name="server"              type="hostname">
  <lire:description>
   <para>Name of the DNS server.</para>
  </lire:description>
 </lire:field>

 <lire:field name="time"                type="timestamp">
  <lire:description>
   <para>The time of the event.</para>
  </lire:description>
 </lire:field>

 <lire:field name="axfr_host"           type="ip">
  <lire:description>
   <para>IP address of the host requesting the AXFR.</para>
  </lire:description>
 </lire:field>

 <lire:field name="axfr_zone"	        type="hostname">
  <lire:description>
   <para>Name of the zone being requested.  E.g. foo.example.com.</para>
  </lire:description>
 </lire:field>

 <lire:field name="axfr_what"	        type="string">
  <lire:description>
   <para>Either approved, denied or axfr.</para>
  </lire:description>
 </lire:field>

 <lire:field name="loaded_zone"	        type="hostname">
  <lire:description>
   <para>Name of the zone just loaded. E.g. foo.example.com.</para>
  </lire:description>
 </lire:field>

 <lire:field name="loaded_serial"	type="number">
  <lire:description>
   <para>Serial of the zone just loaded, as in the DNS SOA record. E.g.
     2002071301 or 1024654055.</para>
  </lire:description>
 </lire:field>

 <lire:field name="loaded_role"		type="string">
  <lire:description>
   <para>Either master or slave.</para>
  </lire:description>
 </lire:field>

 <lire:field name="updatedenied_host"	type="ip">
  <lire:description>
   <para>IP address of the host requesting the update.</para>
  </lire:description>
 </lire:field>

 <lire:field name="updatedenied_zone"   type="hostname">
  <lire:description>
   <para>Name of the zone being updated.</para>
  </lire:description>
 </lire:field>
</lire:dlf-schema>

